Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Service Oriented Architecture Tools Platform (STP) » STP BPMN Modeler: this plugin does not install in my ecplise
STP BPMN Modeler: this plugin does not install in my ecplise [message #374051] Thu, 22 March 2007 15:39 Go to next message
Eclipse User
Originally posted by: cvaz.cc.isel.ipl.pt

Hi,


I have given all steps that you say to install the STP plugin, I have done
it two times and when I start eclipse, it simply does not exist on it.
When I put the site "http://download.eclipse.org/stp/updates/" gives me
the following current configuration problems:

----- Current configuration problems -----
Graphical Modeling Framework Runtime
(1.0.2.v20061027-1200-gW3quV5alH1G8qp) requires feature
"org.eclipse.emf.ocl (1.0.0)", or compatible.
----- Configuration problems after the operation -----
Graphical Modeling Framework Runtime
(1.0.2.v20061027-1200-gW3quV5alH1G8qp) requires feature
"org.eclipse.emf.ocl (1.0.0)", or compatible.
SOA Tools Platform Service Creation (0.4.0) requires plug-in
"org.apache.cxf".
SOA System Project Feature (0.4.0) requires plug-in
"org.eclipse.datatools.connectivity.ui (1.0.0)", or later version.

I have tried to solve it, but the eclipse don't find all what it need.

My ecplise version is Version: 3.2.2
Build id: M20070212-1330.

Can you please tell me what could be happening?

Thank you very much,

Cátia
Re: STP BPMN Modeler: this plugin does not install in my ecplise [message #374052 is a reply to message #374051] Thu, 22 March 2007 19:09 Go to previous messageGo to next message
Eclipse User
Originally posted by: atoulme.intalio.com

Hi Catia,
currently I think that the update site is down. It should be fixed for
the Europa release I think.

I'd like to know where you had the instructions to install the STP BPMN
modeler. I don't know if they are up to date.

Currently, you need to install EMF and GMF (in your update manager, you
can go to the category modeling, then click on Graphical Moddeling
Framework, and click on "Add dependencies" or something like that )

Then download the STP BPMN plugins by going to this page and selecting
the build that you think will work. (the latest stable milestone is
usually the best choice, but you might want to go to the latest
integration build).

Clicking on the build link will show a page from where you can take the
zip containing the BPMN plugins. Download it and copy the eclipse
directory it creates in your eclipse directory.

To begin using it, you will have to go to New>Other>BPMN diagram to
begin creating a BPMN diagram.

Regards,

Antoine

Cátia wrote:
> Hi,
>
>
> I have given all steps that you say to install the STP plugin, I have
> done it two times and when I start eclipse, it simply does not exist on
> it. When I put the site "http://download.eclipse.org/stp/updates/"
> gives me the following current configuration problems:
>
> ----- Current configuration problems -----
> Graphical Modeling Framework Runtime
> (1.0.2.v20061027-1200-gW3quV5alH1G8qp) requires feature
> "org.eclipse.emf.ocl (1.0.0)", or compatible.
> ----- Configuration problems after the operation -----
> Graphical Modeling Framework Runtime
> (1.0.2.v20061027-1200-gW3quV5alH1G8qp) requires feature
> "org.eclipse.emf.ocl (1.0.0)", or compatible.
> SOA Tools Platform Service Creation (0.4.0) requires plug-in
> "org.apache.cxf".
> SOA System Project Feature (0.4.0) requires plug-in
> "org.eclipse.datatools.connectivity.ui (1.0.0)", or later version.
>
> I have tried to solve it, but the eclipse don't find all what it need.
>
> My ecplise version is Version: 3.2.2
> Build id: M20070212-1330.
>
> Can you please tell me what could be happening?
>
> Thank you very much,
>
> Cátia
>


--
Intalio, the Open Source BPMS Company
<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website:
http://bpms.intalio.com</a>
Re: STP BPMN Modeler: this plugin does not install in my ecplise [message #374060 is a reply to message #374052] Tue, 24 April 2007 09:08 Go to previous messageGo to next message
Eclipse User
Originally posted by: mkoskela.gmail.com

Hi,

I've also failed in installing the BPMN plugin to my Eclipse 3.2. I have
the following plugins installed:

EMF SDK 2.2.0
GEF SDK 3.2.9
GMF Runtime 1.0.2
JST Project SDK 1.5.0
Java EMF Model SDK 1.2.0
org.eclipse.stp.bpmn.sdk.feature_1.0.0
org.eclipse.stp.core.feature_1.0.0
WST Project SDK 1.5.0

In the propeties of the bpmn.sdk plugin reads the following status:

org.eclipse.stp.bpmn.feature_1.0.0

Plug-in "org.eclipse.stp.bpmn.doc" version "1.0.0" referenced by this
feature is missing.


So it seems I haven't installed all necessary packages. I installed the
plugin manually, by unzipping

stp-bpmn-sdk-S-S200702011041-200702011041.zip
stp-bpmn-S-S200702011041-200702011041.zip

to the Eclipse folder. Any thoughts? The project seems interesting and I'm
looking forward to testing the tool.

Mika
Re: STP BPMN Modeler: this plugin does not install in my ecplise [message #374061 is a reply to message #374060] Wed, 25 April 2007 18:32 Go to previous message
Eclipse User
Originally posted by: atoulme.intalio.com

Hi Mika,
I think you did all good. You just miss the doc plugin as it is empty
and not bundled with the feature right now.

To begin using the BPMN modeler, right click on new, then Other...
Select the BPMN diagram creation wizard from there.
It should be in Other or STP.

Regards,

Antoine Toulme
Mika Koskela wrote:
> Hi,
>
> I've also failed in installing the BPMN plugin to my Eclipse 3.2. I have
> the following plugins installed:
>
> EMF SDK 2.2.0
> GEF SDK 3.2.9
> GMF Runtime 1.0.2
> JST Project SDK 1.5.0
> Java EMF Model SDK 1.2.0
> org.eclipse.stp.bpmn.sdk.feature_1.0.0
> org.eclipse.stp.core.feature_1.0.0
> WST Project SDK 1.5.0
>
> In the propeties of the bpmn.sdk plugin reads the following status:
>
> org.eclipse.stp.bpmn.feature_1.0.0
>
> Plug-in "org.eclipse.stp.bpmn.doc" version "1.0.0" referenced by this
> feature is missing.
>
>
> So it seems I haven't installed all necessary packages. I installed the
> plugin manually, by unzipping
> stp-bpmn-sdk-S-S200702011041-200702011041.zip
> stp-bpmn-S-S200702011041-200702011041.zip
>
> to the Eclipse folder. Any thoughts? The project seems interesting and
> I'm looking forward to testing the tool.
>
> Mika
>
>
Re: STP BPMN Modeler: this plugin does not install in my ecplise [message #587372 is a reply to message #374051] Thu, 22 March 2007 19:09 Go to previous message
Eclipse User
Originally posted by: atoulme.intalio.com

Hi Catia,
currently I think that the update site is down. It should be fixed for
the Europa release I think.

I'd like to know where you had the instructions to install the STP BPMN
modeler. I don't know if they are up to date.

Currently, you need to install EMF and GMF (in your update manager, you
can go to the category modeling, then click on Graphical Moddeling
Framework, and click on "Add dependencies" or something like that )

Then download the STP BPMN plugins by going to this page and selecting
the build that you think will work. (the latest stable milestone is
usually the best choice, but you might want to go to the latest
integration build).

Clicking on the build link will show a page from where you can take the
zip containing the BPMN plugins. Download it and copy the eclipse
directory it creates in your eclipse directory.

To begin using it, you will have to go to New>Other>BPMN diagram to
begin creating a BPMN diagram.

Regards,

Antoine

Cátia wrote:
> Hi,
>
>
> I have given all steps that you say to install the STP plugin, I have
> done it two times and when I start eclipse, it simply does not exist on
> it. When I put the site "http://download.eclipse.org/stp/updates/"
> gives me the following current configuration problems:
>
> ----- Current configuration problems -----
> Graphical Modeling Framework Runtime
> (1.0.2.v20061027-1200-gW3quV5alH1G8qp) requires feature
> "org.eclipse.emf.ocl (1.0.0)", or compatible.
> ----- Configuration problems after the operation -----
> Graphical Modeling Framework Runtime
> (1.0.2.v20061027-1200-gW3quV5alH1G8qp) requires feature
> "org.eclipse.emf.ocl (1.0.0)", or compatible.
> SOA Tools Platform Service Creation (0.4.0) requires plug-in
> "org.apache.cxf".
> SOA System Project Feature (0.4.0) requires plug-in
> "org.eclipse.datatools.connectivity.ui (1.0.0)", or later version.
>
> I have tried to solve it, but the eclipse don't find all what it need.
>
> My ecplise version is Version: 3.2.2
> Build id: M20070212-1330.
>
> Can you please tell me what could be happening?
>
> Thank you very much,
>
> Cátia
>


--
Intalio, the Open Source BPMS Company
<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website:
http://bpms.intalio.com</a>
Re: STP BPMN Modeler: this plugin does not install in my ecplise [message #587513 is a reply to message #374052] Tue, 24 April 2007 09:08 Go to previous message
Eclipse User
Originally posted by: mkoskela.gmail.com

Hi,

I've also failed in installing the BPMN plugin to my Eclipse 3.2. I have
the following plugins installed:

EMF SDK 2.2.0
GEF SDK 3.2.9
GMF Runtime 1.0.2
JST Project SDK 1.5.0
Java EMF Model SDK 1.2.0
org.eclipse.stp.bpmn.sdk.feature_1.0.0
org.eclipse.stp.core.feature_1.0.0
WST Project SDK 1.5.0

In the propeties of the bpmn.sdk plugin reads the following status:

org.eclipse.stp.bpmn.feature_1.0.0

Plug-in "org.eclipse.stp.bpmn.doc" version "1.0.0" referenced by this
feature is missing.


So it seems I haven't installed all necessary packages. I installed the
plugin manually, by unzipping

stp-bpmn-sdk-S-S200702011041-200702011041.zip
stp-bpmn-S-S200702011041-200702011041.zip

to the Eclipse folder. Any thoughts? The project seems interesting and I'm
looking forward to testing the tool.

Mika
Re: STP BPMN Modeler: this plugin does not install in my ecplise [message #587526 is a reply to message #374060] Wed, 25 April 2007 18:32 Go to previous message
Eclipse User
Originally posted by: atoulme.intalio.com

Hi Mika,
I think you did all good. You just miss the doc plugin as it is empty
and not bundled with the feature right now.

To begin using the BPMN modeler, right click on new, then Other...
Select the BPMN diagram creation wizard from there.
It should be in Other or STP.

Regards,

Antoine Toulme
Mika Koskela wrote:
> Hi,
>
> I've also failed in installing the BPMN plugin to my Eclipse 3.2. I have
> the following plugins installed:
>
> EMF SDK 2.2.0
> GEF SDK 3.2.9
> GMF Runtime 1.0.2
> JST Project SDK 1.5.0
> Java EMF Model SDK 1.2.0
> org.eclipse.stp.bpmn.sdk.feature_1.0.0
> org.eclipse.stp.core.feature_1.0.0
> WST Project SDK 1.5.0
>
> In the propeties of the bpmn.sdk plugin reads the following status:
>
> org.eclipse.stp.bpmn.feature_1.0.0
>
> Plug-in "org.eclipse.stp.bpmn.doc" version "1.0.0" referenced by this
> feature is missing.
>
>
> So it seems I haven't installed all necessary packages. I installed the
> plugin manually, by unzipping
> stp-bpmn-sdk-S-S200702011041-200702011041.zip
> stp-bpmn-S-S200702011041-200702011041.zip
>
> to the Eclipse folder. Any thoughts? The project seems interesting and
> I'm looking forward to testing the tool.
>
> Mika
>
>
Previous Topic:eclipse overwrits configurations each after each setting apply !!!???
Next Topic:eclipse overwrits configurations each after each setting apply !!!???
Goto Forum:
  


Current Time: Fri Sep 19 16:11:15 GMT 2014

Powered by FUDForum. Page generated in 0.01952 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software